# Enum BindAttr

java.lang.Object
java.lang.Enum<BindAttr>
com.codename1.binding.BindAttr

All Implemented Interfaces:
  `Comparable<BindAttr>`

public enum BindAttr extends Enum<BindAttr>
Picks which property of a `Component` a `@Bind` field mirrors. Only TEXT and SELECTED participate in two-way bindings; the rest are write-only from model to component.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENABLED`
  `isEnabled` / `setEnabled`.
  `HIDDEN`
  `isVisible` / `setVisible`.
  `ICON_NAME`
  `getIcon` -- accepts a String resource name; the binder runs it through `Resources.getGlobalResources().getImage(name)`.
  `NAME`
  `getName` / `setName`.
  `SELECTED`
  `isSelected` / `setSelected` on `CheckBox`, `RadioButton`, and any other selectable component.
  `TEXT`
  `getText` / `setText` on `Label`, `TextField`, `TextArea`, `Button`, `SpanLabel`, `SpanButton`.
  `UIID`
  `getUIID` / `setUIID`.
  `VISIBLE`
  `isVisible` / `setVisible`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BindAttr`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static BindAttr[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXT

    public static final BindAttr TEXT
    `getText` / `setText` on `Label`, `TextField`, `TextArea`, `Button`, `SpanLabel`, `SpanButton`. Two-way for editable text inputs.

  - ### UIID

    public static final BindAttr UIID
    `getUIID` / `setUIID`. Write-only.

  - ### HIDDEN

    public static final BindAttr HIDDEN
    `isVisible` / `setVisible`. Inverted -- `true` hides the component. Write-only.

  - ### VISIBLE

    public static final BindAttr VISIBLE
    `isVisible` / `setVisible`. Write-only.

  - ### ENABLED

    public static final BindAttr ENABLED
    `isEnabled` / `setEnabled`. Write-only.

  - ### SELECTED

    public static final BindAttr SELECTED
    `isSelected` / `setSelected` on `CheckBox`, `RadioButton`, and any other selectable component. Two-way.

  - ### ICON_NAME

    public static final BindAttr ICON_NAME
    `getIcon` -- accepts a String resource name; the binder runs it through `Resources.getGlobalResources().getImage(name)`. Write-only.

  - ### NAME

    public static final BindAttr NAME
    `getName` / `setName`. Write-only.

- ## Method Details

  - ### values

    public static BindAttr[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static BindAttr valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null